Page MenuHomePhabricator

Archive the ImageTagging extension
Closed, ResolvedPublic

Description

Reason: ImageTagging is an extension originally developed by Wikia and was ported to Gerrit at some point and time. However, the JS is buggy and FileAnnotations is more stable compared to it.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 14 2017, 3:47 PM
MarcoAurelio triaged this task as Low priority.
MarcoAurelio added a subscriber: MarcoAurelio.

Taking care of patches and other Phabricator stuff.

Restricted Application added a project: User-MarcoAurelio. · View Herald TranscriptAug 12 2017, 9:05 PM

Change 371652 had a related patch set (by MarcoAurelio) published:
[mediawiki/extensions@master] Archive Extension:ImageTagging

https://gerrit.wikimedia.org/r/371652

Change 371653 had a related patch set (by MarcoAurelio) published:
[integration/config@master] Archive Extension:ImageTagging

https://gerrit.wikimedia.org/r/371653

MarcoAurelio updated the task description. (Show Details)Aug 12 2017, 9:20 PM

Apparently not in translatewiki.net.

MarcoAurelio updated the task description. (Show Details)Aug 12 2017, 9:22 PM

rEIMT deactivated as the Gerrit repo is already marked as read-only and therefore there's nothing that might need to be updated.

MarcoAurelio updated the task description. (Show Details)

Waiting on others for code-review before this can be called resolved.

Change 371652 merged by Umherirrender:
[mediawiki/extensions@master] Archive Extension:ImageTagging

https://gerrit.wikimedia.org/r/371652

MarcoAurelio updated the task description. (Show Details)Aug 13 2017, 9:22 PM

Change 371653 merged by jenkins-bot:
[integration/config@master] Archive Extension:ImageTagging

https://gerrit.wikimedia.org/r/371653

SamanthaNguyen closed this task as Resolved.Aug 17 2017, 12:36 AM
SamanthaNguyen updated the task description. (Show Details)
SamanthaNguyen removed a project: Patch-For-Review.
SamanthaNguyen removed a subscriber: gerritbot.

Thanks!

MarcoAurelio moved this task from ready to cabinet on the User-MarcoAurelio board.Aug 17 2017, 9:15 AM

Change 387107 had a related patch set uploaded (by SamanthaNguyen; owner: SamanthaNguyen):
[mediawiki/extensions/ImageTagging@master] Archive extension

https://gerrit.wikimedia.org/r/387107

Change 387107 merged by SamanthaNguyen:
[mediawiki/extensions/ImageTagging@master] Archive extension

https://gerrit.wikimedia.org/r/387107

Emptied and marked as read-only again.